Subject: Re: Problem with /bin mount?
From: [email-masked] (Sebastien Carpe)

11 Jan 1999 07:56:01 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> I have yet another question. I think there's a problem with the way I have
> /bin mounted, but I can't figure out what it is.
> >From sh, I created the mount like this:
> 
> mkdir /bin
> mount /cygnus/cygwin~1/H-i586~1/bin /bin
nice .... Since it's the same logical disk, you could have done a symbolic
link, using "ln -s", that makes more sense, IMO...
 
> ls /bin lists the files in C:\cygnus\cygwin-b20\H-i586-cygwin32\bin, so
> apparently something about this is right, but there are problems.
> I can't type configure from the sh prompt or the bash prompt to run a
> configure script; I have to type "sh configure" or "bash configure."
This is due to your PATH ... "." is not in your PATH (old security issue, but
i'm not sure it's still accuratein a cygwin environment, especially when you're
always alone on your PC). Try ./configure (as it is written everywhere in the
INSTALL file that comes with package that uses the configure process) or add .
to your PATH...

> I also tried umounting /bin and then mounting it with -b. That didn't work
> either.
> Also, the lesstif configuration script still tells me that it can't find ld. I
> placed a copy of ld in the same directory as specs as someone mentioned, but
> that didn't help.
i've meet this a lotta time... it's a regexp in the configure script that is
somehow wrong. What i usually do as a quick fix, is to go vi configure, /A-Za,
and replace the whole regexp with "C:*)" (this assume ld is on the C: drive. Do
gcc --print-prog-name=ld to be sure of where gcc think ld is), then restart
configure and it goes fine...
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".